Kerbal Space Program - Bug #5322

asteroid atmospheric heating bug
08/13/2015 01:17 AM - Comwarrior69

Status: Duplicate Start date: 08/13/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

As already filed in bug #5238 (for which this is confirmation of the bug) asteroids heat up far too quickly.
A 2200t class E asteroid was vaporised way too high up and way too easily... Class E's are planet killers, they are supposed to come
in at interplanetary velocities and make it down to the ground.

This was discovered live on my stream and highlighted for this bug report. http://www.twitch.tv/comwarrior69/v/10702451

A temporary work around is to add the following lines to the potatoroid config,
thermalMassModifier = 500.0

emissiveConstant = 1

heatConductivity = 1

However, a more nifty fix is to use the ablator code to ablate the mass of the asteroid... Which is what would happen in real life.

Related issues:
Is duplicate of Kerbal Space Program - Bug #5238: Low Heat Tolerance Asteroids Closed 07/14/2015

History

#1 - 08/14/2015 03:38 AM - RexKramer

- Status changed from New to Duplicate

- Severity changed from High to Very Low
- % Done changed from 0 to 100

Duplicate of #5238. Additional information regarding this issue should be added to the original report.

#2 - 08/15/2015 06:13 PM - Comwarrior69

Thank you for changing something to allow me to do so...

#3 - 09/05/2015 07:07 PM - Squelch
- Is duplicate of Bug #5238: Low Heat Tolerance Asteroids added
